Name:           mpg123
Version:        1.29.3
Release:        2
Summary:        Real time MPEG 1.0/2.0/2.5 audio player/decoder for layers 1, 2 and 3

License:        LGPL-2.1-or-later and GPL-2.0-or-later
URL:            http://mpg123.org
Source0:        http://mpg123.org/download/%{name}-%{version}.tar.bz2

BuildRequires:      gcc make alsa-lib-devel

Provides:           %{name}-libs = %{version}-%{release}
Provides:           lib%{name} = %{version}-%{release}
Obsoletes:          %{name}-libs < 1.29.3-2
Obsoletes:          lib%{name} < 1.23.4-1


%description
Real time MPEG 1.0/2.0/2.5 audio player/decoder for layers 1, 2 and 3 (most
commonly MPEG 1.0 layer 3 aka MP3), as well as re-usable decoding and output
libraries.

%package plugins-pulseaudio  
Summary:            Pulseaudio output plug-in for mpg123
BuildRequires:      pulseaudio-libs-devel
Requires:           %{name} = %{version}-%{release}

%description plugins-pulseaudio
Pulseaudio output plug-in for mpg123.

%package devel
Summary:            Development files for %{name}
Requires:           %{name} = %{version}-%{release}
BuildRequires:      doxygen

%description devel
Development files for decoding and output libraries for mpg123.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --with-audio=alsa,pulse,oss
%disable_rpath
%make_build
pushd doc
  doxygen doxygen.conf
popd

%install
%make_install
%delete_la

%pre
%preun
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license COPYING
%{_bindir}/*
%{_libdir}/*.so.*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/output_alsa.*
%{_libdir}/%{name}/output_dummy.*
%{_libdir}/%{name}/output_oss.*

%files plugins-pulseaudio
%{_libdir}/%{name}/output_pulse.*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%files help
%doc NEWS NEWS.lib%{name} doc/*
%doc %{_mandir}/man1/*


%changelog  
* Mon May 23 2022 tanyulong<tanyulong@kylinos.cn> - 1.29.3-2
- Improve the project according to the requirements of compliance improvement

* Tue Jan 18 2022 SimpleUpdate Robot <tc@openeuler.org> - 1.29.3-1
- Upgrade to version 1.29.3

* Thu Nov 28 2019 Qianbiao.NG <Qianbiao.NG@turnbig.net> - 1.25.10-2
- Repackage for openEuler OS
